import Taro, {Component} from '@tarojs/taro';
import {Button, View} from '@tarojs/components';
import {connect} from '@tarojs/redux';
import {setUserInfo} from '@/actions/user'
import './index.scss';


@connect(({ user }) => ({
  user
}), (dispatch) => ({
  onSetUserInfo (data) {
    dispatch(setUserInfo(data || {}))
  },
}))
class Index extends Component {

  //微信授权处理
  handleGetPhoneNumber = (evt) => {
    this.getCode((code) => {
      if (evt.detail.errMsg === 'getPhoneNumber:ok') {
        this.handleSuccess({
          authCode: code,
          encryptedData: evt.detail.encryptedData,
          iv: evt.detail.iv
        })
      } else {
        this.handleSuccess({authCode: code})
      }
    });
  }
  //获取code
  getCode = (callback) => {
    Taro.login({})
      .then(res => {
        console.log('获取登录凭证', res)
        callback &&
          typeof callback === 'function' && callback(res.code);
      })
  }

  //无论手机授权是否成功
  handleSuccess(data) {
    console.log('拿到传给后端获取手机号参数', data)
    let {user, onSuccess, onSetUserInfo} = this.props;

    if (user.hasPhone == 1) {
      onSuccess && onSuccess();
      return;
    }
    onSetUserInfo({
      hasPhone: 1,
    })
    // userAPI.login(data)
    //   .then(res => {
    //     let user = res.data || {};
    //     // user.hasPhone = 1;
    //     store.dispatch(setUserInfo(user));
    //     if (user.hasPhone != 1) return;
    //     onSuccess && onSuccess();
    //   })
  }
  //无需手机号处理
  handleClick = () => {
    let {user, onSuccess} = this.props;
    if (user && user.hasPhone == 1) {
      onSuccess && onSuccess();
      return;
    }

    this.getCode((code) => {
      this.handleSuccess({authCode: code});
    })
  }
  render() {
    let hasPhone = this.props.user && (this.props.user.hasPhone == 1);

    let clsName = `${this.props.className}`
    let hoverCls = 'hover-cls';

    if (!!hasPhone) {
      return <Button onClick={this.handleClick} className={clsName} hoverClass={hoverCls}>
        {this.props.children}
      </Button>
    }
    return (
      <Button
        className={clsName}
        openType='getPhoneNumber'
        onGetPhoneNumber={this.handleGetPhoneNumber}
      >
        {this.props.children}
      </Button>
    )
  }
}
export default Index;