import Taro, {Component} from '@tarojs/taro'
import { View, Image, Text, Swiper, SwiperItem, ScrollView, Input, Icon } from '@tarojs/components'
import { connect } from '@tarojs/redux'
import NavBar from '@/components/NavBar'
import './index.scss'


@connect(({ user, nav }) => ({
  user, nav
}), (dispatch) => ({
}))
class Index extends Component {

  state = {
    showSearch: true,
    pageName: '搜索结果',
    // 门店数据
    storeList: [
      // {
      //   img: 'http://hh-oss-picture.miyapay.com/box/e43fc1fd3ec446d985fef922388b4e00.png',
      //   name: '米雅便利店（北京1店）',
      //   time: '2019.05.09-2019.09.09',
      //   distance: '200m',
      // },
      // {
      //   img: 'http://hh-oss-picture.miyapay.com/box/e43fc1fd3ec446d985fef922388b4e00.png',
      //   name: '米雅便利店（北京1店）',
      //   time: '2019.05.09-2019.09.09',
      //   distance: '200m',
      // }
    ]
  }

  componentWillUnmount () {
  }
  componentDidMount() {
    console.log('获取参数', this.$router.params)
  }
  componentDidShow () { }

  componentDidHide () { }

  // 跳转到门店详情
  jumpDetail = () => {
    Taro.navigateTo({
      url: '/pages/storeDetail/index'
    })
  }

  render () {
    const {nav} = this.props
    const user = this.props.user;
    console.log('user', user)
    return (
      <View className='index'>
        <NavBar pageName={this.state.pageName} bgColor='#fff' showBack></NavBar>
        <ScrollView
          style={`height: ${nav.globalData.screenHeight - 300}px`}
          className='scrollview'
          scrollY
        >
        {
          this.state.showSearch && <View className='search' style={`top:${nav.globalData.navHeight}px`}>
            <Icon className='icon' size='20' type='search' />
            <Input onConfirm={this.onConfirm} placeholderClass='placeholder' className='input' confirmType='search' type='text' placeholder='搜索门店' />
          </View>
        }
        <View className='scroll-content'>
          {
            this.state.storeList.length !== 0 && this.state.storeList.map((item, index) => {
              return <View key={index} className='list-view' onClick={this.jumpDetail}>
              <Image className='img' src={item.img} />
              <View className='text-cont'>
                <Text className='name'>{item.name}</Text>
                <Text className='time'>{item.time}</Text>
              </View>
              <View className='distance'>
                <Image className='img' src='http://hh-oss-picture.miyapay.com/box/e43fc1fd3ec446d985fef922388b4e00.png'></Image>
                <Text className='text'>{item.distance}</Text>
              </View>
            </View>
            })
          }
          {
            this.state.storeList.length === 0 && <View className='no-data'>
              <Image className='img' src='http://hh-oss-picture.miyapay.com/box/9aa182ac15e148c00d21fa565771eb95.png'></Image>
              <Text className='no-data-text'>未搜索到相关结果</Text>
            </View>
          }
        </View>
        </ScrollView>
      </View>
    )
  }
}

export default Index
